POST
Use dark colors for code blocksCopy
1
/{orgId}/admin/{itemId}/import
Import a Workflow Manager configuration file

Imports a new Workflow Manager configuration from the selected .wmc file. Workflow Manager configurations can be imported to items at the same or higher version as the configuration. If you wish to import a newer configuration into an older item version, refer to this topic for compatible item versions. Importing a newer configuration into an older item version is not supported at ArcGIS Enterprise 12.0 and earlier releases. It is recommended to back up configurations before importing. passphrase on export has been deprecated at ArcGIS Enterprise 12.0. If you have an export that was created before ArcGIS Enterprise 12.0 using a passphrase, you can provide the same passphrase during import to import encrypted user defined settings. If encrypted settings are included, but no passphrase is provided, the setting will be imported with "" as the value. Importing will fail if any jobs exist in the destination item. Excess scheduled tasks will be dropped based on the portal limit. The adminAdvanced privilege is required.

Body parameters

Supported content types: multipart/form-data

NameTypeRequiredDescription
tokenstring
filestring(binary)

The configuration file to be imported into the specified item

passphrasestring

Optional. Passphrase for encrypted settings. Deprecated at ArcGIS Enterprise 12.0.

Path parameters

NameTypeRequired
orgIdstring
itemIdstring

Response status

StatusMeaningDescriptionSchema
200OK

success

SuccessResponse
400Bad Request

error

WorkflowExceptionDTO

Examples

Request

Use dark colors for code blocksCopy
1
2
3
4
5
6
7
# You can also use wget
curl -X POST '/{orgId}/admin/{itemId}/import' \
  -H 'Content-Type: multipart/form-data' \
  -H 'Authorization: Bearer <YOUR_TOKEN>' \
  -F token=string \
  -F file=string \
  -F passphrase=string

Response

Use dark colors for code blocksCopy
1
2
3
4
5
{
  "success": true,
  "message": "string",
  "name": "UnableToDetermineHostingServer"
}

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.